Modify

Opened 5 years ago

Closed 2 years ago

#13582 closed defect (worksforme)

[brcm47xx] '/etc/init.d/network restart' freezes - default config - 100% reproducible

Reported by: Damian Kaczkowski <damian.kaczkowski+openwrt@…> Owned by: developers
Priority: highest Milestone: Chaos Calmer 15.05
Component: packages Version: Trunk
Keywords: Cc: nbd@…, hauke@…

Description

Hello.

board: wrt54g-tm
build: r36713
config: factory defaults + 'option disabled 0' in wireless config

Issuing '/etc/init.d/network restart' freezes on '/sbin/wifi down'.

root@OpenWrt:~# cat /etc/config/network

#### VLAN configuration
config switch eth0
        option enable   1

config switch_vlan eth0_1
        option device   "eth0"
        option vlan     1
        option ports    "0 1 2 3 5t"

config switch_vlan eth0_2
        option device   "eth0"
        option vlan     2
        option ports    "4 5t"

#### Loopback configuration
config interface loopback
        option ifname   "lo"
        option proto    static
        option ipaddr   127.0.0.1
        option netmask  255.0.0.0


#### LAN configuration
config interface lan
        option type     bridge
        option ifname   "eth0.1"
        option proto    static
        option ipaddr   192.168.1.1
        option netmask  255.255.255.0


#### WAN configuration
config interface        wan
        option ifname   "eth0.2"
        option proto    dhcp

root@OpenWrt:~# cat /etc/config/wireless

config wifi-device  radio0
        option type     mac80211
        option channel  11
        option hwmode   11g
        option path     'ssb0:3'

        # REMOVE THIS LINE TO ENABLE WIFI:
        option disabled 0

config wifi-iface
        option device   radio0
        option network  lan
        option mode     ap
        option ssid     OpenWrt
        option encryption none

root@OpenWrt:~# cat /etc/init.d/network

#!/bin/sh /etc/rc.common

START=20
STOP=90

SERVICE_DAEMONIZE=1
SERVICE_WRITE_PID=1

start() {
        echo start 1
        stop
        echo start 2
        [ -e /proc/sys/kernel/core_pattern ] && {
                echo start 3
                ulimit -c unlimited
                echo start 4
                echo '/tmp/%e.%p.%s.%t.core' > /proc/sys/kernel/core_pattern
                echo start 5
        }
        echo start 6
        service_start /sbin/netifd
        echo start 7

        setup_switch() { return 0; }

        echo start 8

        include /lib/network
        echo start 9
        setup_switch
        echo start 10
        sleep 5
        echo start 11
        /sbin/wifi down
        echo start 12
        /sbin/wifi up
        echo start 13
}

restart() {
        echo restart 1
        ifdown -a
        echo restart 2
        sleep 1
        echo restart 3
        start
        echo restart 4
}

shutdown() {
        echo shutdown 1
        ifdown -a
        echo shutdown 2
        stop
        echo shutdown 3
}

stop() {
        echo stop 1
        service_stop /sbin/netifd
        echo stop 2
}

reload() {
        echo reload 1
        ubus call network reload
        echo reload 2
        /sbin/wifi down
        echo reload 3
        /sbin/wifi up
        echo reload 4
}

root@OpenWrt:~# /etc/init.d/network restart

restart 1
restart 2
restart 3
start 1
stop 1
stop 2
start 2
start 3
start 4
start 5
start 6
start 7
start 8
start 9
start 10
start 11




root@OpenWrt:~# logread

Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.000000] NR_IRQS:128
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.000000] console [ttyS0] enabled
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.080000] Calibrating delay loop... 198.65 BogoMIPS (lpj=397312)
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.112000] pid_max: default: 32768 minimum: 301
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.116000] Mount-cache hash table entries: 512
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.128000] NET: Registered protocol family 16
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.184000] bio: create slab <bio-0> at 0
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.200000] Switching to clocksource MIPS
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.240000] NET: Registered protocol family 2
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.244000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.252000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.260000] TCP: Hash tables configured (established 512 bind 512)
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.268000] TCP: reno registered
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.272000] UDP hash table entries: 256 (order: 0, 4096 bytes)
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.276000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.284000] NET: Registered protocol family 1
Jan  1 00:00:33 OpenWrt kern.debug kernel: [    0.288000] PCI: CLS 0 bytes, default 16
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.300000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.308000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.320000] msgmni has been set to 56
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.324000] io scheduler noop registered
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.328000] io scheduler deadline registered (default)
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.336000] Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.364000] serial8250: ttyS0 at MMIO 0xb8000300 (irq = 3) is a U6_16550A
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.392000] serial8250: ttyS1 at MMIO 0xb8000400 (irq = 3) is a U6_16550A
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.424000] serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 3) is a U6_16550A
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.452000] serial8250.0: ttyS1 at MMIO 0xb8000400 (irq = 3) is a U6_16550A
Jan  1 00:00:33 OpenWrt kern.notice kernel: [    0.472000] physmap platform flash device: 02000001 at 1c000000
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.476000] physmap-flash.0: Found 1 x16 devices at 0x0 in 16-bit bank. Manufacturer ID 0x000089 Chip ID 0x000017
Jan  1 00:00:33 OpenWrt kern.debug kernel: [    0.488000] physmap-flash.0: Found an alias at 0x800000 for the chip at 0x0
Jan  1 00:00:33 OpenWrt kern.debug kernel: [    0.488000] physmap-flash.0: Found an alias at 0x1000000 for the chip at 0x0
Jan  1 00:00:33 OpenWrt kern.debug kernel: [    0.488000] physmap-flash.0: Found an alias at 0x1800000 for the chip at 0x0
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.488000] Intel/Sharp Extended Query Table at 0x0031
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.492000] Intel/Sharp Extended Query Table at 0x0031
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.500000] Using buffer write method
Jan  1 00:00:33 OpenWrt kern.notice kernel: [    0.504000] cfi_cmdset_0001: Erase suspend on write enabled
Jan  1 00:00:33 OpenWrt kern.debug kernel: [    0.508000] erase region 0: offset=0x0,size=0x20000,blocks=64
Jan  1 00:00:33 OpenWrt kern.notice kernel: [    0.524000] 6 bcm47xxpart partitions found on MTD device physmap-flash.0
Jan  1 00:00:33 OpenWrt kern.notice kernel: [    0.532000] Creating 6 MTD partitions on "physmap-flash.0":
Jan  1 00:00:33 OpenWrt kern.notice kernel: [    0.540000] 0x000000000000-0x000000040000 : "boot"
Jan  1 00:00:33 OpenWrt kern.notice kernel: [    0.552000] 0x000000040000-0x0000007e0000 : "linux"
Jan  1 00:00:33 OpenWrt kern.notice kernel: [    0.564000] 0x00000004001c-0x000000040960 : "loader"
Jan  1 00:00:33 OpenWrt kern.notice kernel: [    0.576000] 0x000000040960-0x00000013f400 : "kernel"
Jan  1 00:00:33 OpenWrt kern.warn kernel: [    0.580000] mtd: partition "kernel" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
Jan  1 00:00:33 OpenWrt kern.notice kernel: [    0.600000] 0x00000013f400-0x0000007e0000 : "rootfs"
Jan  1 00:00:33 OpenWrt kern.warn kernel: [    0.608000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
Jan  1 00:00:33 OpenWrt kern.notice kernel: [    0.628000] mtd: partition "rootfs" set to be root filesystem
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.632000] mtd: partition "rootfs_data" created automatically, ofs=320000, len=4C0000
Jan  1 00:00:33 OpenWrt kern.notice kernel: [    0.644000] 0x000000320000-0x0000007e0000 : "rootfs_data"
Jan  1 00:00:33 OpenWrt kern.notice kernel: [    0.656000] 0x0000007e0000-0x000000800000 : "nvram"
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.676000] bcm47xx-wdt bcm47xx-wdt.0: BCM47xx Watchdog Timer enabled (30 seconds, Software Timer)
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.688000] TCP: cubic registered
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.692000] NET: Registered protocol family 17
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.696000] 8021q: 802.1Q VLAN Support v1.8
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.724000] VFS: Mounted root (squashfs filesystem) readonly on device 31:4.
Jan  1 00:00:33 OpenWrt kern.info kernel: [    0.736000] Freeing unused kernel memory: 212k freed
Jan  1 00:00:33 OpenWrt kern.info kernel: [    5.476000] Found board: "Unknown Board"
Jan  1 00:00:33 OpenWrt kern.warn kernel: [    5.480000] diag: unknown board found, try legacy detect
Jan  1 00:00:33 OpenWrt kern.warn kernel: [    5.488000] diag: please open a ticket at https://dev.openwrt.org and attach the complete nvram
Jan  1 00:00:33 OpenWrt kern.warn kernel: [    5.496000] diag: Detected 'Linksys WRT54G/GS/GL'
Jan  1 00:00:33 OpenWrt kern.info kernel: [    5.860000] pps_core: LinuxPPS API ver. 1 registered
Jan  1 00:00:33 OpenWrt kern.info kernel: [    5.864000] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@linux.it>
Jan  1 00:00:33 OpenWrt kern.info kernel: [    5.964000] PTP clock support registered
Jan  1 00:00:33 OpenWrt kern.info kernel: [    6.740000] b44: Broadcom 44xx/47xx 10/100 PCI ethernet driver version 2.0
Jan  1 00:00:33 OpenWrt kern.info kernel: [    6.772000] b44 ssb0:0 eth0: Broadcom 44xx/47xx 10/100 PCI ethernet driver 00:1c:10:5b:c5:23
Jan  1 00:00:33 OpenWrt kern.info kernel: [    7.192000] bgmac: Broadcom 47xx GBit MAC driver loaded
Jan  1 00:00:33 OpenWrt kern.info kernel: [    7.280000] b44 ssb0:0 eth0: Link is up at 100 Mbps, full duplex
Jan  1 00:00:33 OpenWrt kern.info kernel: [    7.288000] b44 ssb0:0 eth0: Flow control is off for TX and off for RX
Jan  1 00:00:33 OpenWrt kern.info kernel: [    7.604000] roboswitch: Probing device 'eth0'
Jan  1 00:00:33 OpenWrt kern.info kernel: [    7.612000] roboswitch: found a 5325! at eth0
Jan  1 00:00:33 OpenWrt kern.notice kernel: [   12.412000] jffs2: notice: (334) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (1 unchecked, 0 orphan) and 6 of xref (0 dead, 2 orphan) found.
Jan  1 00:00:33 OpenWrt kern.info kernel: [   20.368000] b44 ssb0:0 eth0: powering down PHY
Jan  1 00:00:33 OpenWrt kern.info kernel: [   24.240000] compat-drivers backport release: compat-drivers-2013-03-28-5
Jan  1 00:00:33 OpenWrt kern.info kernel: [   24.248000] Backport based on wireless-testing.git master-2013-04-16
Jan  1 00:00:33 OpenWrt kern.info kernel: [   24.252000] compat.git: wireless-testing.git
Jan  1 00:00:33 OpenWrt kern.info kernel: [   24.360000] cfg80211: Calling CRDA to update world regulatory domain
Jan  1 00:00:33 OpenWrt kern.info kernel: [   24.364000] cfg80211: World regulatory domain updated:
Jan  1 00:00:33 OpenWrt kern.info kernel: [   24.372000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
Jan  1 00:00:33 OpenWrt kern.info kernel: [   24.380000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jan  1 00:00:33 OpenWrt kern.info kernel: [   24.388000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jan  1 00:00:33 OpenWrt kern.info kernel: [   24.396000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
Jan  1 00:00:33 OpenWrt kern.info kernel: [   24.404000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jan  1 00:00:33 OpenWrt kern.info kernel: [   24.412000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
Jan  1 00:00:33 OpenWrt kern.info kernel: [   25.096000] NET: Registered protocol family 10
Jan  1 00:00:33 OpenWrt kern.info kernel: [   26.548000] b43-phy0: Broadcom 5352 WLAN found (core revision 9)
Jan  1 00:00:33 OpenWrt kern.info kernel: [   26.580000] b43-phy0: Found PHY: Analog 2, Type 2 (G), Revision 7
Jan  1 00:00:33 OpenWrt kern.info kernel: [   26.608000] Broadcom 43xx driver loaded [ Features: PNL ]
Jan  1 00:00:33 OpenWrt kern.debug kernel: [   27.400000] ieee80211 phy0: Selected rate control algorithm 'minstrel_ht'
Jan  1 00:00:33 OpenWrt kern.info kernel: [   27.444000] Broadcom 43xx-legacy driver loaded [ Features: PLID ]
Jan  1 00:00:33 OpenWrt kern.info kernel: [   27.736000] PPP generic driver version 2.4.2
Jan  1 00:00:33 OpenWrt kern.info kernel: [   28.416000] ip_tables: (C) 2000-2006 Netfilter Core Team
Jan  1 00:00:33 OpenWrt kern.info kernel: [   28.872000] xt_time: kernel timezone is -0000
Jan  1 00:00:33 OpenWrt kern.info kernel: [   29.004000] NET: Registered protocol family 24
Jan  1 00:00:33 OpenWrt kern.info kernel: [   29.080000] nf_conntrack version 0.5.0 (457 buckets, 1828 max)
Jan  1 00:00:33 OpenWrt kern.info kernel: [   30.016000] ip6_tables: (C) 2000-2006 Netfilter Core Team
Jan  1 00:00:36 OpenWrt user.info sysinit: start 1
Jan  1 00:00:36 OpenWrt user.info sysinit: stop 1
Jan  1 00:00:36 OpenWrt user.info sysinit: stop 2
Jan  1 00:00:36 OpenWrt user.info sysinit: start 2
Jan  1 00:00:36 OpenWrt user.info sysinit: start 3
Jan  1 00:00:36 OpenWrt user.info sysinit: start 4
Jan  1 00:00:36 OpenWrt user.info sysinit: start 5
Jan  1 00:00:36 OpenWrt user.info sysinit: start 6
Jan  1 00:00:36 OpenWrt user.info sysinit: start 7
Jan  1 00:00:36 OpenWrt user.info sysinit: start 8
Jan  1 00:00:37 OpenWrt user.info sysinit: start 9
Jan  1 00:00:37 OpenWrt kern.info kernel: [   37.288000] b44 ssb0:0 eth0: Link is up at 100 Mbps, full duplex
Jan  1 00:00:37 OpenWrt kern.info kernel: [   37.296000] b44 ssb0:0 eth0: Flow control is off for TX and off for RX
Jan  1 00:00:37 OpenWrt user.info sysinit: start 10
Jan  1 00:00:42 OpenWrt user.info sysinit: start 11
Jan  1 00:00:42 OpenWrt kern.info kernel: [   42.984000] b44 ssb0:0 eth0: powering down PHY
Jan  1 00:00:43 OpenWrt kern.info kernel: [   43.028000] b44 ssb0:0 eth0: Link is up at 100 Mbps, full duplex
Jan  1 00:00:43 OpenWrt kern.info kernel: [   43.032000] b44 ssb0:0 eth0: Flow control is off for TX and off for RX
Jan  1 00:00:43 OpenWrt kern.info kernel: [   43.096000] device eth0.1 entered promiscuous mode
Jan  1 00:00:43 OpenWrt kern.info kernel: [   43.100000] device eth0 entered promiscuous mode
Jan  1 00:00:43 OpenWrt kern.info kernel: [   43.116000] br-lan: port 1(eth0.1) entered forwarding state
Jan  1 00:00:43 OpenWrt kern.info kernel: [   43.120000] br-lan: port 1(eth0.1) entered forwarding state
Jan  1 00:00:43 OpenWrt daemon.notice netifd: Interface 'lan' is now up
Jan  1 00:00:43 OpenWrt daemon.notice netifd: Interface 'loopback' is now up
Jan  1 00:00:43 OpenWrt kern.info kernel: [   43.992000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0.1: link becomes ready
Jan  1 00:00:45 OpenWrt kern.info kernel: [   45.124000] br-lan: port 1(eth0.1) entered forwarding state
Jan  1 00:00:45 OpenWrt user.info sysinit: start 12
Jan  1 00:00:45 OpenWrt daemon.notice netifd: wan (629): udhcpc (v1.19.4) started
Jan  1 00:00:46 OpenWrt user.notice firewall: Reloading firewall due to ifup of lan (br-lan)
Jan  1 00:00:47 OpenWrt daemon.notice netifd: wan (629): Sending discover...
Jan  1 00:00:47 OpenWrt daemon.notice netifd: wan (629): Sending select for 10.22.22.155...
Jan  1 00:00:47 OpenWrt daemon.notice netifd: wan (629): Lease of 10.22.22.155 obtained, lease time 43200
Jan  1 00:00:49 OpenWrt daemon.notice netifd: Interface 'wan' is now up
Jan  1 00:00:52 OpenWrt daemon.err 6relayd[711]: Unable to open interface wan6 (No such device)
Jan  1 00:00:53 OpenWrt user.notice firewall: Reloading firewall due to ifup of wan (eth0.2)
Jan  1 00:00:56 OpenWrt kern.info kernel: [   56.896000] b43-phy0: Loading firmware version 666.2 (2011-02-23 01:15:07)
Jan  1 00:00:56 OpenWrt kern.info kernel: [   56.980000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Jan  1 00:00:57 OpenWrt kern.info kernel: [   57.052000] device wlan0 entered promiscuous mode
Jan  1 00:00:57 OpenWrt kern.info kernel: [   57.196000] b43-phy0: Loading firmware version 666.2 (2011-02-23 01:15:07)
Jan  1 00:00:57 OpenWrt kern.info kernel: [   57.268000] IPv6: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Jan  1 00:00:57 OpenWrt kern.info kernel: [   57.304000] br-lan: port 2(wlan0) entered forwarding state
Jan  1 00:00:57 OpenWrt kern.info kernel: [   57.308000] br-lan: port 2(wlan0) entered forwarding state
Jan  1 00:00:57 OpenWrt kern.info kernel: [   57.316000] IPv6: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
Jan  1 00:00:59 OpenWrt kern.info kernel: [   59.312000] br-lan: port 2(wlan0) entered forwarding state
Jan  1 00:01:02 OpenWrt user.info sysinit: start 13
Jan  1 00:01:04 OpenWrt authpriv.info dropbear[802]: Not backgrounding
Jan  1 00:01:08 OpenWrt user.notice dnsmasq: DNS rebinding protection is active, will discard upstream RFC1918 responses!
Jan  1 00:01:08 OpenWrt user.notice dnsmasq: Allowing 127.0.0.0/8 responses
Jan  1 00:01:12 OpenWrt daemon.info dnsmasq[842]: started, version 2.66 cachesize 150
Jan  1 00:01:12 OpenWrt daemon.info dnsmasq[842]: compile time options: IPv6 GNU-getopt no-DBus no-i18n no-IDN DHCP no-DHCPv6 no-Lua TFTP no-conntrack no-ipset no-auth
Jan  1 00:01:12 OpenWrt daemon.info dnsmasq-dhcp[842]: DHCP, IP range 192.168.1.100 -- 192.168.1.249, lease time 12h
Jan  1 00:01:12 OpenWrt daemon.info dnsmasq[842]: using local addresses only for domain lan
Jan  1 00:01:12 OpenWrt daemon.info dnsmasq[842]: reading /tmp/resolv.conf.auto
Jan  1 00:01:12 OpenWrt daemon.info dnsmasq[842]: using nameserver 10.22.22.254#53
Jan  1 00:01:12 OpenWrt daemon.info dnsmasq[842]: using local addresses only for domain lan
Jan  1 00:01:12 OpenWrt daemon.info dnsmasq[842]: read /etc/hosts - 1 addresses
Jan  1 00:01:12 OpenWrt daemon.info dnsmasq-dhcp[842]: read /etc/ethers - 0 addresses
Jan  1 00:01:12 OpenWrt user.info sysinit: grep: /proc/711/cmdline: No such file or directory
May 25 20:34:43 OpenWrt authpriv.info dropbear[866]: Child connection from 192.168.1.222:29879
May 25 20:34:51 OpenWrt authpriv.notice dropbear[866]: Password auth succeeded for 'root' from 192.168.1.222:29879
May 25 20:35:19 OpenWrt authpriv.info dropbear[873]: Child connection from 192.168.1.222:29925
May 25 20:35:25 OpenWrt authpriv.notice dropbear[873]: Password auth succeeded for 'root' from 192.168.1.222:29925
May 25 20:36:00 OpenWrt daemon.notice netifd: Interface 'lan' is now down
May 25 20:36:00 OpenWrt kern.info kernel: [  167.252000] br-lan: port 2(wlan0) entered disabled state
May 25 20:36:00 OpenWrt kern.info kernel: [  167.256000] br-lan: port 1(eth0.1) entered disabled state
May 25 20:36:00 OpenWrt kern.info kernel: [  167.280000] device eth0.1 left promiscuous mode
May 25 20:36:00 OpenWrt kern.info kernel: [  167.284000] device eth0 left promiscuous mode
May 25 20:36:00 OpenWrt kern.info kernel: [  167.292000] br-lan: port 1(eth0.1) entered disabled state
May 25 20:36:00 OpenWrt kern.info kernel: [  167.320000] device wlan0 left promiscuous mode
May 25 20:36:00 OpenWrt kern.info kernel: [  167.324000] br-lan: port 2(wlan0) entered disabled state
May 25 20:36:00 OpenWrt daemon.notice netifd: Interface 'loopback' is now down
May 25 20:36:01 OpenWrt daemon.notice netifd: wan (629): Sending renew...
May 25 20:36:01 OpenWrt daemon.notice netifd: wan (629): Received SIGTERM
May 25 20:36:01 OpenWrt daemon.notice netifd: Interface 'wan' is now down
May 25 20:36:01 OpenWrt kern.info kernel: [  168.312000] b44 ssb0:0 eth0: powering down PHY
May 25 20:36:01 OpenWrt daemon.warn 6relayd[854]: Termination requested by signal.
May 25 20:36:01 OpenWrt daemon.warn 6relayd[854]: Failed to relay to ff02::1%br-lan (Network is unreachable)
May 25 20:36:02 OpenWrt kern.info kernel: [  169.280000] b44 ssb0:0 eth0: Link is up at 100 Mbps, full duplex
May 25 20:36:02 OpenWrt kern.info kernel: [  169.288000] b44 ssb0:0 eth0: Flow control is off for TX and off for RX
May 25 20:36:02 OpenWrt daemon.warn dnsmasq[842]: no servers found in /tmp/resolv.conf.auto, will retry
May 25 20:36:06 OpenWrt kern.info kernel: [  173.136000] b44 ssb0:0 eth0: powering down PHY
May 25 20:36:06 OpenWrt kern.info kernel: [  173.168000] b44 ssb0:0 eth0: Link is up at 100 Mbps, full duplex
May 25 20:36:06 OpenWrt kern.info kernel: [  173.172000] b44 ssb0:0 eth0: Flow control is off for TX and off for RX
May 25 20:36:06 OpenWrt kern.info kernel: [  173.232000] device eth0.1 entered promiscuous mode
May 25 20:36:06 OpenWrt kern.info kernel: [  173.236000] device eth0 entered promiscuous mode
May 25 20:36:06 OpenWrt kern.info kernel: [  173.248000] br-lan: port 1(eth0.1) entered forwarding state
May 25 20:36:06 OpenWrt kern.info kernel: [  173.252000] br-lan: port 1(eth0.1) entered forwarding state
May 25 20:36:06 OpenWrt daemon.notice netifd: Interface 'lan' is now up
May 25 20:36:06 OpenWrt daemon.notice netifd: Interface 'loopback' is now up
May 25 20:36:07 OpenWrt kern.info kernel: [  174.144000] IPv6: ADDRCONF(NETDEV_CHANGE): eth0.1: link becomes ready
May 25 20:36:08 OpenWrt kern.info kernel: [  175.256000] br-lan: port 1(eth0.1) entered forwarding state
May 25 20:36:08 OpenWrt user.notice firewall: Reloading firewall due to ifup of lan (br-lan)
May 25 20:36:08 OpenWrt daemon.notice netifd: wan (990): udhcpc (v1.19.4) started
May 25 20:36:09 OpenWrt daemon.notice netifd: wan (990): Sending discover...
May 25 20:36:09 OpenWrt daemon.notice netifd: wan (990): Sending select for 10.22.22.155...
May 25 20:36:09 OpenWrt daemon.notice netifd: wan (990): Lease of 10.22.22.155 obtained, lease time 43200
May 25 20:36:11 OpenWrt daemon.notice netifd: Interface 'wan' is now up
May 25 20:36:12 OpenWrt daemon.err 6relayd[1034]: Unable to open interface wan6 (No such device)
May 25 20:36:12 OpenWrt user.notice firewall: Reloading firewall due to ifup of wan (eth0.2)
May 25 20:36:20 OpenWrt kern.emerg kernel: [  187.404000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1
May 25 20:36:27 OpenWrt daemon.info dnsmasq[842]: reading /tmp/resolv.conf.auto
May 25 20:36:27 OpenWrt daemon.info dnsmasq[842]: using nameserver 10.22.22.254#53
May 25 20:36:27 OpenWrt daemon.info dnsmasq[842]: using local addresses only for domain lan
May 25 20:36:30 OpenWrt kern.emerg kernel: [  197.652000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1
May 25 20:36:41 OpenWrt kern.emerg kernel: [  207.900000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1
May 25 20:36:51 OpenWrt kern.emerg kernel: [  218.148000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1
May 25 20:37:01 OpenWrt kern.emerg kernel: [  228.396000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1
May 25 20:37:11 OpenWrt kern.emerg kernel: [  238.644000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1
May 25 20:37:22 OpenWrt kern.emerg kernel: [  248.892000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1
May 25 20:37:32 OpenWrt kern.emerg kernel: [  259.140000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1
May 25 20:37:42 OpenWrt kern.emerg kernel: [  269.388000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1
May 25 20:37:52 OpenWrt kern.emerg kernel: [  279.636000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1
May 25 20:38:03 OpenWrt kern.emerg kernel: [  289.884000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1
May 25 20:38:13 OpenWrt kern.emerg kernel: [  300.132000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1
May 25 20:38:23 OpenWrt kern.emerg kernel: [  310.380000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1
May 25 20:38:33 OpenWrt kern.emerg kernel: [  320.628000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1

Attachments (0)

Change History (11)

comment:1 Changed 5 years ago by anonymous

I confirm this issue on ar71xx platform. logread also says: unregister_netdevice: waiting for wlan0 to become free. Usage count = 1

comment:2 Changed 5 years ago by Damian Kaczkowski <damian.kaczkowski+openwrt@…>

Workaround here: r36883. What I spot before r36883 is that building image without IPv6 support and without any IPv6 packages workaround this bug too.

comment:3 Changed 5 years ago by hauke

  • Resolution set to worksforme
  • Status changed from new to closed

For me this works with trunk r37667, this was probably fixed in the last weeks.

Please reopen if this problem still exists.

comment:4 Changed 4 years ago by wireless-dev@…

  • Resolution worksforme deleted
  • Status changed from closed to reopened

it's still exist

release 37815
platform UBNT rocketM5 ar71xx

Thu Jan 1 00:01:28 1970 auth.alert kernel: [ 88.700000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1
Thu Jan 1 00:01:38 1970 auth.alert kernel: [ 98.840000] unregister_netdevice: waiting for wlan0 to become free. Usage count = 1

if you force reboot (reboot -f) it's ok but not so good

comment:5 Changed 4 years ago by nbd

please post your wireless/network config and instructions on how to reproduce this

comment:6 Changed 4 years ago by wireless-dev@…

it's hostapd the problem

I modified my /etc/init.d/network file and my stop function now looks like this:
stop() {

killall hostapd wpa_supplicant
sleep 1
service_stop /sbin/netifd

}

comment:7 Changed 4 years ago by bittorf@…

the problem still exists in r39097.

this is the same like /ticket/14521.html - please close the other ticket.

comment:8 Changed 4 years ago by chen1324@…

/etc/init.d/network stop

-> USE_PROCD = 1
-> stop()

-> procd_kill netifd killed netifd , none exists ubus network ?
-> stop_service()
-> /sbin/wifi down

-> ubus_wifi_cmd()
-> ubus bus call network.wireless killed not call ?

-> error !!!

comment:9 Changed 4 years ago by anonymous

Problem still exists in trunk r40554. (platform Ralink 3052f - xdxrn502j)

comment:10 Changed 2 years ago by NMSwede

I'm seeing the same thing in 15.05 (trunk r46767 on several Ubiquiti products (Nano M2, UAP-PRO). This is a modified image though, so will try the stock image and see if it's doing the same thing. But essentially /etc/init.d/network re[load/start] hangs. Same build on 14.07 did not have this issue.

Edit: Works with stock image, update own image - restarts now works. I think I was too aggressive in removing packages from the build.

Last edited 2 years ago by NMSwede (previous) (diff)

comment:11 Changed 2 years ago by nbd

  • Resolution set to worksforme
  • Status changed from reopened to closed

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.